# ArcGisMapService

engine/Source/Scene/ArcGisMapService.js 8
Default options for accessing the ArcGIS image tile service. An ArcGIS access token is required to access ArcGIS image tile layers. A default token is provided for evaluation purposes only. To obtain an access token, go to https://developers.arcgis.com and create a free account. More info can be found in the ArcGIS developer guide.

##### See:

- ArcGisMapServerImageryProvider

### Members

#### static Cesium.ArcGisMapService.defaultAccessToken : string
engine/Source/Scene/ArcGisMapService.js 26

Gets or sets the default ArcGIS access token.

#### static Cesium.ArcGisMapService.defaultWorldHillshadeServer : string|Resource
engine/Source/Scene/ArcGisMapService.js 45

Gets or sets the URL of the ArcGIS World Hillshade tile service.

Default Value: `https://ibasemaps-api.arcgis.com/arcgis/rest/services/Elevation/World_Hillshade/MapServer`

#### static Cesium.ArcGisMapService.defaultWorldImageryServer : string|Resource
engine/Source/Scene/ArcGisMapService.js 34

Gets or sets the URL of the ArcGIS World Imagery tile service.

Default Value: `https://ibasemaps-api.arcgis.com/arcgis/rest/services/World_Imagery/MapServer`

#### static Cesium.ArcGisMapService.defaultWorldOceanServer : string|Resource
engine/Source/Scene/ArcGisMapService.js 56

Gets or sets the URL of the ArcGIS World Oceans tile service.

Default Value: `https://ibasemaps-api.arcgis.com/arcgis/rest/services/Ocean/World_Ocean_Base/MapServer`

### Methods

#### static Cesium.ArcGisMapService.getDefaultTokenCredit(providedKey) → string|undefined
engine/Source/Scene/ArcGisMapService.js 66

Name | Type | Description
--- | --- | ---
`providedKey` | string |

##### Returns:

Need help? The fastest way to get answers is from the community and team on the Cesium Forum.